NVDA 新版資訊


%!includeconf: ../changes.t2tconf

= 2013.1 =
這一個版重點包括以下幾點:
-重新調整筆記型電腦的組合按鍵之配置，使其操作上更直覺且符合一致性；
-支援微軟 PowerPoint 基本操作功能之報讀；
-支援網頁瀏覽中圖片有長描述性的替代文字；
支援有提供電腦點字鍵盤的點字顯示器，以供使用點字輸入資料。

== 重要事項 ==

=== 新的筆記型電腦鍵盤配置 ===
-為了讓操作更直覺及一致化，筆記型電腦的操作組合鍵已經整個重新設計過。
-瀏覽內容相關的指令改為以 NVDA鍵加上方向鍵或其它按鍵來報讀。

請注意：一些筆記型電腦上常用的指令的組合按鍵已改變如下：

|| 名稱 | 快速鍵 |
| 向下讀出全部 | NVDA+a |
| 讀出游標所在行的內容 | NVDA+l |
| 讀出選取的內容 | NVDA+shift+s |
| 讀出狀態列的訊息 | NVDA+shift+end |
此外，所有物件瀏覽、文字瀏覽、按下滑鼠、快速語音設定指令皆已改變，請參見[Commands Quick Reference keyCommands.html]


== 新特點 ==
- 支援微軟 PowerPoint 基本簡報編輯與報讀功能。(#501)
- 支援 Lotus Notes 8.5. 之讀寫之報讀。 (#543)
- 支持報讀微軟 Word 文件時，可自動切換語言。(#2047)
- 在 MSHTML(如 IE)及 Gecko(如 Firefox) 瀏覽模式下可以報讀圖片之長說明的替代文字。如果按下 NVDA+d 還可以另開瀏覽視窗顯示該長說明的替代文字。(#809)
- 得以報讀 IE 9 或更新的版本中，網頁上方訊息列的說明 (例如網頁遭封鎖或是告知即將下載檔案...等)。(#2343)
- IE 及其他 MSHTML 為主的瀏覽器，在瀏覽模式下，若內容中有表格且標示行列標題者，已可自動報讀表格中列及欄的標題。(#778)
- 新增語言: Aragonese 阿拉貢語(阿拉貢語地區所用的西班牙語，位於西班牙東北)。
- 新加入點字轉譯表：丹麥語二級點字, 韓文1級點字。(#2737)
- 支援東芝所出的藍牙支援裝置，讓點顯器透過藍牙連接電腦。(#2419)
- 使用 Freedom Scientific 點顯器時，可以選擇連接埠。 (像有一些會自動跳連接埠, 或是使用USB,藍牙...等裝置)
- 支援 HumanWare 的 BrailleNote 系列產品，供做設為螢幕報讀軟體的點字終端機。(#2012)
- 支援 Papenmeier BRAILLEX 較舊型號的點顯器。(#2679)
- 支援有提供點字鍵盤的點顯器，可藉由該鍵盤輸入資料。(#808)
- 提供新的鍵盤設定控制項，決定是否在語音報讀時，「輸入字元時中斷報讀」或「按下Enter鍵時中斷報讀」。(#698)
- 支援更多的瀏覽器，像是 Google Chrome 家族系列的 Rockmelt, BlackHawk, Comodo Dragon and SRWare Iron。 (#2236, #2813, #2814, #2815)


== 修改項目 ==
- 將liblouis 點字轉譯表更新至 2.5.2。 (#2737)
- 為了讓操作更直覺及一致化，筆記型電腦的組合鍵已經整個重新設計過。(#804)
- eSpeak speech synthesizer 更新至 1.47.01. (#2680)


== 錯誤程式修正 ==
- 在 IE 及 MSHTML 為主之瀏覽器，以單鍵瀏覽，往前或往後跳至下一個分隔點已可正常操作(參考標籤 hr)。(#2781)
- 當 NVDA 啟動時語音合成器設定失敗，找不到語音合成器時，系統將不再自動設定回到預設的eSpeak 合成器或沒有語音，也就是說，當再次啟動 NVDA 時，NVDA 仍會繼續以原設定之合成器來報讀。(#2589)
- 當 NVDA 啟動時點字設定失敗，找不到對應之點顯器時，系統將不再自動將設定改為"無點顯器"，也就是說，當再次啟動 NVDA 時，NVDA 仍會以原點字設定值來嘗試開啟 NVDA。(#2264)
- Mozilla 系列的應用系統，當在表格儲存格內異動時，已可正確報讀相關資訊，例如：修改列及欄坐標都可以報讀了，而且已可正確瀏覽表格的內容。(#2784)
- 網頁中，可點選但沒有加標籤的圖形在瀏覽模式下已可正確報讀。(#2838)
- 不論是新或舊版的 安全監示器均已可支援。(#2800)
- 在 XP作業系統中，輸入法，如 Easy Dots （廣東話拼音點字）輸入法，已可正確讀出輸入的組字字元。
- 在 Windows 7 下，已可正確報讀簡體中文拼音輸入法的候選字選取，透過左右方向鍵換頁或是一開始載入候選字時以清單列出首選候選頁。
- 當使用者自定標點符號/特殊符號讀音儲存後，進階欄位 "preserve" 不會再被移除了。(#2852)
- 當停用版本更新檢查啟用後，NVDA 不需再重新啟動才可生效。
- 當附加元件的目錄因為被其他軟體佔用而無法刪除時, NVDA 不會再有無法啟動的問題。(#2860)
- DropBox 參數設定對話框中頁籤名稱已可於平面瀏覽中顯示並報讀了。
- 當輸入的語言改掉後，NVDA 已可正確地找到指令或輸入輔助模式所對應到的鍵值。
- 有一些語言鍵盤上 + 加號是獨立一個按鍵(像是德文就是這一種)，現在已可以用它來當做指令組合鍵中的一個鍵值，程式或說明上使用 "plus" 這一個字代表。(#2898)
- IE 及其他 MSHTML 系統列瀏覽器中，"區塊" (標籤中 blockquote) 已可適當的報讀了。(#2888)
- HumanWare Brailliant BI/B series braille 點顯器的驅動程式在未曾用USB連接過，直接透過藍牙連接狀況下，NVDA 已可選得到該點顯器了。
- 當以輸入大寫字元篩選元件清單(NVDA+f7)中的內容時，已可如輸入小寫字元般篩選出不分大小寫的內容。(#2951)
- 在 Mozilla 系列瀏覽器中，當對焦於 Flash 內容時，已可使用瀏覽模式。(#2546)
- 在 word 2003 及 IE 編輯項中，點顯器已可正確的顯示所選取的文字。
- 當點字啟用後，微軟 word 中文字已可反向選取, 亦即由後往前選取。
- 在 Scintilla 編輯工具中，不論是瀏覽內容，透過 Backspacing 或 Del 鍵刪除內容， NVDA 已能正確報讀多字節字元(如中文字)。 (#2855)
- 當使用者設定檔案路徑名稱含多字節字元(如中文字)時， 已不會造成 NVDA 安裝失敗了。(#2729)
- 在 64 位元的應用系統下報讀清單選項群組時已不會再造成錯誤了。
- Mozilla 系列瀏覽器下，使用瀏覽模式時，文字內容已不會再以編輯模式的方式處理了。(#2959)
- 使用 IBM Lotus Symphony 及 OppenOffice 時，在適當狀況下，移動編輯游標同時也會移動瀏覽游標了。
- 已可報讀 Windows 8 IE 中 Adobe Flash 的內容。(#2454)
- 修復 Papenmeier Braillex Trio 藍牙支援功能。(#2995)
- 修復 Koba Speech 2 voices 無法使用微軟 SAPI5 的聲音。(#2629)
- 於使用 Java Access Bridge 的應用系統中，編輯游標在編輯欄位中移動時，點顯器已可正確更新。(#3107)
- 瀏覽模式下，對於支援地標功能之文件，同時亦能處理表單地標之報讀。(#2997)


= 2012.3 =
這一個版包括新增亞洲文字輸入法的處理、實驗性階段支援 Win8 觸控螢幕功能、Adobe Reader 頁碼及表格讀取的改善、Window 清單檢視控制項報讀的改善以及支援更多的點顯器。

== 新特點 ==
- 東亞地區文字如台灣、香港及日本等輸入法報讀之改善，不論是透過舊 IME （Input method Editor， Win XP 使用之方式） 或是 TSIM （text service input methods， Win 7 以後輸入法引用之方式（皆適用，改善部分包括：
 - 針對每個候選字，可報讀其對應之字詞解釋，這對使用注音輸入法的使用者，有助於選到正確的字
 - 循序報讀候選字清單，或是移動上下鍵時，會報讀目前焦點所在候選字
 - 針對每個候選字，可報讀其對應之字詞解釋，這對使用注音輸入法的使用者，有助於選到正確的字
 - 報讀輸入的按鍵字串
- 支援 Adobe Reader 文件中有加底線及刪除線的文字之報讀 (#2410)
- 當啟用微軟相黏鍵時，組合鍵中若含 NVDA 控制鍵時，使用者不需額外按住 NVDA 這個按鍵，例如 NVDA+t 僅需按住 t ，該功能即有作用 (#230)
- 支援 HIMS Braille Sense, Braille EDGE 及 SyncBraille 點顯器 (#1266, #1267)
- 當 Windows 8  快顯通知出現時，NVDA 會報讀該資訊，並將瀏覽焦點指到該處，以便進一步互動使用 (#2143)
- Windows 8 觸控螢幕的實驗性支援 :
 - 隨手指移動所指的位置，NVDA 就報讀該處的內容
 - 支援多種手勢組合(gestures)來導覽物件, 報讀文字及操控其他 NVDA 指令
- 支援 VIP Mud（一種針對視障設計的線上遊戲 客戶端軟體（ (#1728)
- Adobe Reader 文件表格若有摘要描述者，現在已可報讀該摘要 (#2465)
- Adobe Reader 文件表格內容之行標題及列標題已可報讀 (#2193, #2527, #2528)
- 新增阿比西尼亞文、韓文及尼泊爾文
- 已可報讀 Microsoft Outlook 2007 於輸入 電郵信箱時，自動帶出的組合郵箱選單 (#689)
- 新增 eSpeak 中 Gene 及 Gene2 兩種語音 (#2512)
- 已可報讀 Adobe Reader 文件的頁碼 (#2534)
- 已可透過快速連按 NVDA+Ctrl+r 三次，或由功能選單中選擇還原設定，將 NVDA 的設定還原為到出廠的設定 (#2086)
- 支援日本 Nippon Telesoft 公司所出的 Seika V3,4,5 及 Seika80 點顯器 (#2452)
- Freedom Scientific PAC Mate 及 Focus Braille 點顯器最上排第一及最後一個按鍵可被用來當做捲軸，向後或向前捲 (#2556)
- 支援更多的 Freedom Scientific Focus 點顯器功能，如 advance bars, rocker bars 及一般複合鍵操作功能 (advance bar 分左右各一，若焦點是一行文字則像左代表左移，向右右移，若是一份檔案內容，向左代表退回前面內容，向右代表繼續往後閱讀) (#2516)
- 於非瀏覽模式下，已可報讀使用 IAccessible2 標準之應用軟體（如 Mozilla 系列）中的表格之行標題及列標題 (#926)
- 可初步支援 Microsoft Word 2013 對於文件操控方面的功能 (#2543)
- 已可報讀使用IAccessible2 標準之應用軟體(如 Mozilla 系列)之文字對齊方式 (#2612)
- 有一些表格具有多個欄位的清單，雖然一列有兩個以上的欄位，但是選單的選擇是以列為單位，這樣的選單目前已可以用讀取表格的方式讀取每一欄的內容 （例如Windows檔案清單列表有檔名、建立日期、 大小等，以往只能由左至右循序報讀，現在可以直接僅報讀檔名或大小的資訊） (#828)
- 新增加點譯表：愛沙尼亞零級、葡萄牙8點, 義大利6點 (#2319, #2662)
- 在已安裝 NVDA 的情況下，直接透過 Windows 環境或是下載的同時去開啟某 NVDA 附加元件，這個元件會自動被安裝到 NVDA 中 (#2306)
- 支援新型的 Papenmeier BRAILLEX 點顯器 (#1265)



== 修改項目 ==
- NVDA 瀏覽游標設定中英文字寫跟隨 Keyboard 焦點改為  System 焦點 （附註：中文版翻譯原已改成系統焦點）
- 當點字游標切換跟隨瀏覽游標時，若當時的游標所在位置並不是文字物件（例如是停在一個可編輯文字方塊上），此操控用以指引的按鍵已可正常啟用 (#2386)
- 將「關閉時儲存設定」的預設狀態改為「勾選」
- 當升級 NVDA 版本時，如果 control+alt+n 快速鍵已被使用者設為其他用途， NVDA 將不再強迫其改為預設的功用 (#2572)
- 於附加元件管理清單中，現在已於狀態之前加上元件名稱 (#2548)
- 若已安裝了附加元件，於更新同一版或是其他版本時，NVDA 不再只顯示錯誤訊息且終止安裝，而是先詢問是否要更新。 (#2501)
- 所有的物件瀏覽指令除報讀目前所在物件這個指令外，其它指令僅報讀較少的資訊，必要時，仍可透過報讀目前物件狀態的指令來獲取其它的資訊。 (#2560)
- 更新 liblouis 轉譯表至 2.5.1 版 (#2319, #2480, #2662, #2672)
- 「按鍵指令快速參考表」名稱已改為「指令快速參考表」，因為 NVDA 現在除了鍵盤指令外，也有觸控指令


== 錯誤程式修正 ==
- Window Vista 及其後之版本，當透過 Windows+l 鎖住桌面後，再解鎖回來時，[Windows] 這個按鍵不會再被視為[佔用鍵] (#1856)
- 在 Blio 的電子書中已可以點字方式讀取其內容
- 在 Adobe Reader 中的列標題已可正確的解讀為表格的一個儲存格，且可利用表格導覽指令報讀其座標 (#2444)
- Adobe Readerr 中，表格中行或列若有合併儲存格存在時，現在已能正確解讀了 (#2437, #2438, #2450)
- NVDA 軟體封包下載後，點選執行時，NVDA 會先自我檢查軟體封包的完整性 (#2475)
- NVDA 版本更新失敗時，會自動刪除因為更新而下載的那些暫存檔(以往只有正常更新後，暫存檔才會刪除，若更新失敗，則殘留一些暫存檔) (#2477)
- 在XP作業系統中，當將目前儲存的設定套用到登入或其他安全畫面，NVDA 已不會被凍結而失去作用 (#2485)
- 動態磚指的是 Windows 8 開啟畫面上出現的點選項，預設是方塊狀一格一格，網格狀的形式，上頭標註一些分類像是郵件,行事曆,商城, 音樂..等等，像是智慧型手機的操作結構；針對動態磚， NVDA 的報讀或點顯器的輸出已有所改善．名稱已不會重複報讀，任何 Titles 將不報讀 [未被選取]．此外，即時資訊亦併入動態磚說明項目中，像是氣象動態磚中目前溫度資訊的報讀)
- 在 Microsoft Outlook 以及一些標註為受保護的標準編輯方塊中，當讀取這個密碼欄位時將不再被報讀出來 (#2021)
- 在 Adobe Reader 於表單模式下修改的欄位之內容，切換回到瀏覽模式已可正確報讀 (#2529)
- 對於 Microsoft Word 拼字檢查有進一步改善，包括較精確的檢查出拼字錯誤及讀出目前拼字功能所列出的錯誤訊息，此適用於 Windows Vista 級以上的作業系統。 
- 對於含有非英文字的附加元件，多數已能正確安裝了 (#2505)
- 在 Adobe Reader 中，當文件[語言]更新或捲動對焦至該處時，所用語言已會被報讀出來了  (#2544)
- 安裝附加元件時，如果這個元件有對應該語文的翻譯名稱，安裝之確認對話方塊顯示的是該翻譯的名稱，而非英文 (#2422)
- 對於可及性使用 UI Automation 為標準的應用軟體(像是 .net 及 Silverlight 系列), 用來做控制項的數值運算已能算出正確的數值. (補充：像是滑桿的滑動就需要數值運算) (#2417)
- 由於系統的進度列報讀會受到作業系統速度影響，當需要出現嗶嗶聲時確來不急反應，所以 NVDA 於安裝或複製可攜式版..或其他用途時，設計另一種進度列來解決此問題 (#2574)
- 當安全視窗如視窗螢幕鎖住時，已無法透過點顯器操控 NVDA 指令。 (#2449)
- 在瀏覽模式下，顯示的文字若有改變，點顯器的資訊會跟著改變。 (#2074)
- 當在安全視窗下，如視窗螢幕鎖住時，即使應用程式仍在執行並直接經由 NVDA 送出一些訊息如聲音或點字，NVDA 將忽略這些訊息
- 在瀏覽模式下，當游標已至文件最後一個字元或畫面最後一個項目時，按向右鍵時，游標 不會再任意跳離開到他處 (#2463)
- 在網頁軟體(像是瀏覽器之類) 的文字對話方壞 中, NVDA 不會再錯誤報讀那些不太重要的額外資訊，(尤其是 ARIA 地標對話方壞 若未加上 aria 說明的屬性，NVDA 不會自行補充) (#2390)
- 在 MSHTML 文件中， NVDA 不再錯誤的報讀或是定位某些編輯欄位, 特別是當一個明定的ARIA作用已被網頁設計者用掉時 (#2435)
- 在命令提示字元下，當啟用邊打邊唸功能時，使用倒退鍵刪掉幾個字，再加打其他字，此時報讀只讀之前存在的字元，新打的不會唸，此問題已解決 (#2586)
- 點顯器，已可顯示 Microsoft Excel 儲存格座標
-在微軟 word 內含有清單格式的段落，當要以向左鍵或 Ctrl+向左鍵跳離清單項目的標號如中心圓點或數字時，報讀會卡住的問題已獲解決 (#2402)
- 在瀏覽模式下，Mozilla 的一些應用程式的清單項目尤其是如地標清單，其不正確的報讀已獲解決
NVDA 不再報讀標註為隱藏的內容(尤其是使用 aira-hidden 這個屬性的元件) (#2117)
- 負數金額(例如 -$123) 現在可以正確的報讀，而不管此符號的報讀定義等級設定為何 (#2625)
- 在全篇朗讀，若最後一行並不是整句話的最後，報讀至行尾後，NVDA 不會再錯誤的將語言回復到預設值.  (#2630)
- Adobe Reader 10.1 或更新的版本，字型的資訊已可正確的偵測到 (#2175)
- Adobe Reader 中，文件若有替代文字，則 NVDA 會正確的報讀此替代文字，舊版的NVDA有時會報讀一些額外的文字 (#2174)
- 瀏覽模式下，若遇文件中內含另一個應用程式，則該應用程式的內容並不會被歸類為瀏覽模式；這樣做是當焦點指到該應用程式時，仍有操控的能力，可以說是把該應用程式當做是一個嵌入式物件來看 (#990)
- 在 Mozilla 系列的應用軟體中，當調整按鈕值改變時，已可正確的報讀。 (#2653)


